@rem Build the jit package under Windows
@rem The "if errorlevel 1" tests against any err level greater than or equal to 1

@rem Don't forget to change version number both in the DESCRIPTION and below
set JITVERSION=0.0-3
set RAPATH=\a\r\ra
set RAPATH1=/a/r/ra
set RPATH=\PROGRA~1\R\R-2.6.2

@rem R needs a slightly different path to my standard path
@set | egrep -i "path=[^;]*Rtools" >NUL && goto :done @rem only do it if needed
@echo modifying path
@set path=c:\Rtools\bin;c:\Rtools\MinGW\bin;%PATH%
:done

@rem ===clean===
@rem @\rtools\mingw\bin\make.exe -f Makefile.win clean

@rem ===install to Ra===
cd %RAPATH%\bin
           @if errorlevel 1 goto error 
%RAPATH%\bin\rcmd.exe INSTALL %RAPATH1%/src/library/jit
           @if errorlevel 1 goto error 

@rem convert jit.html to web publishable form and copy to homepage
@sed "s#Rchm.css#R.css#" /a/r/ra/library/jit/html/jit.html >xtmp1
                     @if errorlevel 1 goto error 
@sed "s#../../base/html/#http://cged.genes.nig.ac.jp/RGM2/R_current/library/base/html/#g" xtmp1 >xtmp2
                     @if errorlevel 1 goto error 
sed "s#00Index.html#index.html#" xtmp2 > xtmp3
                     @if errorlevel 1 goto error 
                     @if errorlevel 1 goto error 
dos2unix xtmp3
                     @if errorlevel 1 goto error 
copy xtmp3 \a\homepage\ra\jit.html
                     @if errorlevel 1 goto error 
@rm -f xtmp1 xtmp2 xtmp3

@rem convert nojit.html to web publishable form and copy to homepage
@sed "s#Rchm.css#R.css#" /a/r/ra/library/jit/html/nojit.html >xtmp1
                     @if errorlevel 1 goto error 
@sed "s#../../base/html/#http://cged.genes.nig.ac.jp/RGM2/R_current/library/base/html/#g" xtmp1 >xtmp2
                     @if errorlevel 1 goto error 
sed "s#00Index.html#index.html#" xtmp2 > xtmp3
                     @if errorlevel 1 goto error 
dos2unix xtmp3
                     @if errorlevel 1 goto error 
copy xtmp3 \a\homepage\ra\nojit.html
                     @if errorlevel 1 goto error 
@rm -f xtmp1 xtmp2 xtmp3

@rem convert is.ra.html to web publishable form and copy to homepage
@sed "s#Rchm.css#R.css#" /a/r/ra/library/jit/html/is.ra.html >xtmp1
                     @if errorlevel 1 goto error 
@sed "s#../../base/html/#http://cged.genes.nig.ac.jp/RGM2/R_current/library/base/html/#g" xtmp1 >xtmp2
                     @if errorlevel 1 goto error 
sed "s#00Index.html#index.html#" xtmp2 >xtmp3
                     @if errorlevel 1 goto error 
dos2unix xtmp3
                     @if errorlevel 1 goto error 
copy xtmp3 \a\homepage\ra\is.ra.html
                     @if errorlevel 1 goto error 
@rm -f xtmp1 xtmp2 xtmp3

@rem @rem ===remove from Ra===
@rem @rm -rf %RAPATH1%/library/ra

@rem ===copy to R2.6.2===
mcp -r %RAPATH1%/library/jit %RPATH%/library

@rem ===copy to 5===
mcp -r %RAPATH1%/library/jit /a/r/5/library

@rem ===build for gzip file release===
@rem ===also copy zip file to homepage===
rm -rf %RAPATH%\library\jit
                @if errorlevel 1 goto error 
"%RAPATH%\bin\rcmd" BUILD --no-vignettes %RAPATH1%/src/library/jit
                @if errorlevel 1 goto error 
cp ./jit_*.tar.gz /a/homepage/ra/tar
                @if errorlevel 1 goto error 
mv ./jit_*.tar.gz %RAPATH1%/library
                @if errorlevel 1 goto error 
ls -l %RAPATH1%/library/jit_*.tar.gz

@rem ===install from release to ra===
@rem you should build the release gzip file above before doing this
cd %RAPATH%\bin
                @if errorlevel 1 goto error 
rm -rf %RAPATH1%/library/jit
                @if errorlevel 1 goto error 
%RAPATH%\bin\rcmd.exe INSTALL ../library/jit_%JITVERSION%.tar.gz
                @if errorlevel 1 goto error 

@rem ===install from release to installed R===
@rem you should build the release gzip file above before doing this
cd %RPATH%\bin
                @if errorlevel 1 goto error 
rm -rf %RPATH1%/library/jit
                @if errorlevel 1 goto error 
%RPATH%\bin\rcmd.exe INSTALL %RAPATH%/library/jit_%JITVERSION%.tar.gz
                @if errorlevel 1 goto error 

@rem ===check release with installed R===
@rem you should build the gzip file above and install before doing this
@rem note that R_CHECK_SUBDIRS_NOCASE is 0 because it seems to cause false positives
@rem results go into %RAPATH1%/bin/jit.Rcheck
cd %RPATH%\bin
                @if errorlevel 1 goto error 
@set _R_CHECK_USE_CODETOOLS_=1
                @if errorlevel 1 goto error 
@set _R_CHECK_ALL_NON_ISO_C_=1
                @if errorlevel 1 goto error 
@set _R_CHECK_RD_STYLE_=1
                @if errorlevel 1 goto error 
@set _R_CHECK_SUBDIRS_NOCASE_=0
                @if errorlevel 1 goto error 
%RPATH%\bin\rcmd.exe check %RAPATH%/library/jit_%JITVERSION%.tar.gz
                @if errorlevel 1 goto error 

@goto done
:error
@echo ==== ERROR ====
:done
cd %RAPATH%\src\library\jit\.#
